## podcastparser 0.6.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/podcastparser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/podcastparser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/podcastparser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/podcastparser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## podcastparser 0.6.1

=== debian/changelog ===
podcastparser (0.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Correct the Vcs URLs.

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2016 19:45:52 -0800

podcastparser (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #847046)

 -- tony mancill <tmancill@debian.org>  Mon, 05 Dec 2016 23:05:06 -0800

=== debian/control ===
Source: podcastparser
Section: python
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 10),
	dh-python,
	python-all,
	python-nose,
	python-setuptools,
	python-sphinx | python3-sphinx,
	python3-all,
	python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/gpodder/podcastparser
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/podcastparser.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/podcastparser.git/

Package: python-podcastparser
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-podcastparser-doc
Description: Simplified, fast RSS parsing library (Python 2)
 The podcast parser project is a library from the gPodder project to
 provide an easy and reliable way of parsing RSS- and Atom-based podcast
 feeds in Python.
 .
 This package installs the library for Python 2.

Package: python3-podcastparser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-podcastparser-doc
Description: Simplified, fast RSS parsing library (Python 3)
 The podcast parser project is a library from the gPodder project to
 provide an easy and reliable way of parsing RSS- and Atom-based podcast
 feeds in Python.
 .
 This package installs the library for Python 3.

Package: python-podcastparser-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simplified, fast RSS parsing library (common documentation)
 The podcast parser project is a library from the gPodder project to
 provide an easy and reliable way of parsing RSS- and Atom-based podcast
 feeds in Python.
 .
 This is the common documentation package.

## podcastparser 0.6.2

=== debian/changelog ===
podcastparser (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Bump Standards-Version to 4.1.3
  * Freshen dates in debian/copyright
  * Drop build-dep on python-sphinx

 -- tony mancill <tmancill@debian.org>  Mon, 01 Jan 2018 16:20:27 -0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 	python-all,
 	python-nose,
 	python-setuptools,
-	python-sphinx | python3-sphinx,
+	python3-sphinx,
 	python3-all,
 	python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/gpodder/podcastparser
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## podcastparser 0.6.3

=== debian/changelog ===
podcastparser (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Update Vcs fields for migration from Alioth -> Salsa
  * Bump Standards-Version to 4.1.4
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 22 Apr 2018 09:56:47 -0700

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 	python3-sphinx,
 	python3-all,
 	python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/gpodder/podcastparser
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/podcastparser.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/podcastparser.git/
+Vcs-Browser: https://salsa.debian.org/debian/postcastparser
+Vcs-Git: https://salsa.debian.org/debian/postcastparser.git
 
 Package: python-podcastparser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=podcastparser
export PYBUILD_VERBOSE=1
export DH_VERBOSE=1


LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) html)
	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) man)
	dh_installdocs

=== debian/watch ===
version=4

# GitHub hosted projects
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%podcastparser-$1.tar.gz%" \
   https://github.com/gpodder/podcastparser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## podcastparser 0.6.4

=== debian/changelog ===
podcastparser (0.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/control: Fix wrong Vcs-*

  [ tony mancill ]
  * New upstream version 0.6.4
  * Drop python-podcastparser (python 2) binary package (Closes: #937305)
  * Bump Standards-Version to 4.4.0
  * Use debhelper 12
  * Freshen years in debian/copyright
  * python-podcastparser-doc is now marked Multi-Arch: foreign
  * Replace dpkg-parsechangelog with SOURCE_DATE_EPOCH
  * Add Build-Depends on cmake

 -- tony mancill <tmancill@debian.org>  Mon, 02 Sep 2019 12:21:47 -0700

=== debian/control ===
Source: podcastparser
Section: python
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: cmake,
        debhelper (>= 12),
	dh-python,
	python3-all,
	python3-nose,
	python3-setuptools,
	python3-sphinx
Standards-Version: 4.4.0
Homepage: https://github.com/gpodder/podcastparser
Vcs-Browser: https://salsa.debian.org/debian/podcastparser
Vcs-Git: https://salsa.debian.org/debian/podcastparser.git

Package: python3-podcastparser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-podcastparser-doc
Description: Simplified, fast RSS parsing library (Python 3)
 The podcast parser project is a library from the gPodder project to
 provide an easy and reliable way of parsing RSS- and Atom-based podcast
 feeds in Python.
 .
 This package installs the library for Python 3.

Package: python-podcastparser-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Simplified, fast RSS parsing library (common documentation)
 The podcast parser project is a library from the gPodder project to
 provide an easy and reliable way of parsing RSS- and Atom-based podcast
 feeds in Python.
 .
 This is the common documentation package.

## podcastparser 0.6.5

=== debian/changelog ===
podcastparser (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 13
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 06 Jul 2020 10:21:44 -0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: cmake,
-        debhelper (>= 12),
+        debhelper-compat (= 13),
 	dh-python,
 	python3-all,
 	python3-nose,
 	python3-setuptools,
 	python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/gpodder/podcastparser
 Vcs-Browser: https://salsa.debian.org/debian/podcastparser
 Vcs-Git: https://salsa.debian.org/debian/podcastparser.git
+Rules-Requires-Root: no
 
 Package: python3-podcastparser
 Architecture: all

## podcastparser 0.6.8

=== debian/changelog ===
podcastparser (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Add build-dep on dh-sequence-python3

 -- tony mancill <tmancill@debian.org>  Sun, 10 Oct 2021 21:32:58 -0700

podcastparser (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Bump Standards-Version to 4.6.0
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Tue, 10 Aug 2021 21:48:43 -0700

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: cmake,
-        debhelper-compat (= 13),
-	dh-python,
-	python3-all,
-	python3-nose,
-	python3-setuptools,
-	python3-sphinx
-Standards-Version: 4.5.0
+               debhelper-compat (= 13),
+               dh-python,
+               dh-sequence-python3,
+               python3-all,
+               python3-nose,
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.6.0
 Homepage: https://github.com/gpodder/podcastparser
 Vcs-Browser: https://salsa.debian.org/debian/podcastparser
 Vcs-Git: https://salsa.debian.org/debian/podcastparser.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=podcastparser
export PYBUILD_VERBOSE=1
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" --date "@$(SOURCE_DATE_EPOCH)")

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) html)
	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) man)
	dh_installdocs

## podcastparser 0.6.9

=== debian/changelog ===
podcastparser (0.6.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ tony mancill ]
  * New upstream version 0.6.9

 -- tony mancill <tmancill@debian.org>  Wed, 14 Dec 2022 14:31:59 -0800

podcastparser (0.6.8-2) unstable; urgency=medium

  * Use pytest for tests (Closes: #1018438)
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Wed, 31 Aug 2022 12:43:20 -0700

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
                dh-python,
                dh-sequence-python3,
                python3-all,
-               python3-nose,
+               python3-coverage,
+               python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/gpodder/podcastparser
 Vcs-Browser: https://salsa.debian.org/debian/podcastparser
 Vcs-Git: https://salsa.debian.org/debian/podcastparser.git

## podcastparser 0.6.10

=== debian/changelog ===
podcastparser (0.6.10-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 16:16:51 -0700

podcastparser (0.6.10-1) experimental; urgency=medium

  * New upstream version 0.6.10
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Thu, 20 Apr 2023 20:36:23 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest-cov,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/gpodder/podcastparser
 Vcs-Browser: https://salsa.debian.org/debian/podcastparser
 Vcs-Git: https://salsa.debian.org/debian/podcastparser.git

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) html)
 	(cd doc ; SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" $(MAKE) man)
 	dh_installdocs
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYTHON=python3 make test
+endif

## podcastparser 0.6.11

=== debian/changelog ===
podcastparser (0.6.11-1) unstable; urgency=medium

  * New upstream version 0.6.11
  * Update debian/watch to version 5
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2
  * Install podcastparser manpage in section 3

 -- tony mancill <tmancill@debian.org>  Sat, 29 Nov 2025 07:38:31 -0800

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
                python3-pytest-cov,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/gpodder/podcastparser
 Vcs-Browser: https://salsa.debian.org/debian/podcastparser
 Vcs-Git: https://salsa.debian.org/debian/podcastparser.git
-Rules-Requires-Root: no
 
 Package: python3-podcastparser
 Architecture: all

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Compression: xz
Owner: gpodder
Project: podcastparser
Repack: yes
Update-Script: uupdate
